BigIPVlan (CMDB Model API)
Keywords: com.collation.platform.model.topology.net.vip.bigip.BigIPVlan interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.net.vip.bigip
Interface BigIPVlan

All Superinterfaces:
  Bridge, ConfigurationItem, Function, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable, Vlan

    public interface BigIPVlan

extends Vlan

BigIP Vlan

Author:
  viswanath
Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.sys.Function
`IBM_COPYRIGHT`

Fields inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`IBM_COPYRIGHT`

Method Summary
`boolean` | `getAllowProxyARP()`
`boolean` | `getPortLockDown()`
`boolean` | `getSnatAutomapEnabled()`
`boolean` | `hasAllowProxyARP()`
`boolean` | `hasPortLockDown()`
`boolean` | `hasSnatAutomapEnabled()`
`void` | `setAllowProxyARP(boolean allowProxyARP)`
`void` | `setPortLockDown(boolean portLockDown)`
`void` | `setSnatAutomapEnabled(boolean snatAutoEnabled)`

Methods inherited from interface com.collation.platform.model.topology.net.Vlan
`getMgmtDomainName, getTrunkInterfaces, getVlanId, getVlanName, hasMgmtDomainName, hasTrunkInterfaces, hasVlanId, hasVlanName, setMgmtDomainName, setTrunkInterfaces, setVlanId, setVlanName`

Methods inherited from interface com.collation.platform.model.topology.net.Bridge
`getBridgeId, getInterfaces, hasBridgeId, hasInterfaces, setBridgeId, setInterfaces`

Methods inherited from interface com.collation.platform.model.topology.sys.Function
`getName, getParent, hasName, hasParent, setName, setParent`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getSnatAutomapEnabled

    boolean getSnatAutomapEnabled()
                                  throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setSnatAutomapEnabled

    void setSnatAutomapEnabled(boolean snatAutoEnabled)

### hasSnatAutomapEnabled

    boolean hasSnatAutomapEnabled()

### getAllowProxyARP

    boolean getAllowProxyARP()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setAllowProxyARP

    void setAllowProxyARP(boolean allowProxyARP)

### hasAllowProxyARP

    boolean hasAllowProxyARP()

### getPortLockDown

    boolean getPortLockDown()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### setPortLockDown

    void setPortLockDown(boolean portLockDown)

### hasPortLockDown

    boolean hasPortLockDown()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD